Summary:	A list monitor with a visual output
Name:		faces
Version:	1.6.1
Release:	%mkrel 25
License:	Freeware
Group:		Networking/Mail
BuildRequires:	X11-devel, byacc
Source:		ftp://ftp.cs.indiana.edu/pub/faces/faces/faces-1.6.1.tar.bz2
Patch0:		faces-1.6.1-make.patch
Patch1:		faces-1.6.1-awk.patch
Patch2:		faces-1.6.1-string.patch
Patch3:		faces-1.6.1-fix.patch
Patch4:		faces-1.6.1-ikon2xbm.patch
Patch5:		faces-1.6.1-lib64.patch
Patch6:		faces-1.6.1-misc-fixes.patch
Patch7:		faces-1.6.1-datadir-faces.patch
Patch8:		faces-1.6.1-errno.patch
Patch9:		faces-1.6.1-faces_chmod.patch
Patch10:	faces-1.6.1-gcc3.4-fix.patch
Patch11:	faces-1.6.1-dotsyms.patch
Requires:	libgr-progs
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Faces is a program for visually monitoring a list (typically a list of
incoming mail messages, a list of jobs in a print queue or a list of
system users).  Faces operates in five different modes: monitoring for
new mail, monitoring an entire mail file, monitoring a specified print
queue, monitoring users on a machine and custom monitoring.  Faces also
includes a utility for including a face image (a compressed, scanned
image) with mail messages.  The image has to be compressed in a certain
way, which can then be uncompressed and displayed on-the-fly in the mail
program.  This feature of faces is typically used with the exmh mail
handling system.

Install faces if you'd like to use its list monitoring capability or
its face image inclusion capability.  If you would like to include
face images in email, you'll also need to install the faces-xface
package.  If you would like to develop xface applications, you'll need
to also install faces-devel.

%package	xface
Requires:	libgr-progs
Summary:	Utilities needed by mailers for handling Faces' X-face images
Group:		Networking/Mail

%description	xface
Faces-xface includes the utilities that mail user agent programs need to
handle X-Face mail headers.  When an email program reads the X-face
header line in an email message, it calls these utilities to display
the face image included in the message.

You'll need to install faces-xface if you want your mail program to
display Faces' X-face images.

%package	devel
Summary:	The Faces program's library and header files
Group:		Development/C

%description	devel
Faces-devel contains the faces program development environment,
(i.e., the static libraries and header files).

If you want to develop Faces applications, you'll need to install
faces-devel.  You'll also need to install the faces package.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if "%_lib" == "lib64"
%patch5 -p1 -b .lib64
%endif
%patch6 -p1 -b .misc-fixes
%patch7 -p1 -b .datadir-faces
%patch8 -p1
%patch9 -p1
%patch10 -p1 -b .gcc34
%patch11 -p1 -b .dotsyms

%build
%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -f Makefile.dist x11

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man3}
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}
make -f Makefile.dist \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	install

install -m644 compface/compface.h $RPM_BUILD_ROOT%{_includedir}/compface.h

mkdir -p $RPM_BUILD_ROOT%{_datadir}/faces

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_bindir}/compface
%{_mandir}/man1/compface.1.*
%{_mandir}/man3/compface.3.*
%{_bindir}/icon2ikon
%{_bindir}/ikon2icon
%{_bindir}/fs2ikon
%{_bindir}/rs2icon
%{_bindir}/fs2xbm
%{_bindir}/xbm2ikon
%{_bindir}/xbmcut48
%{_bindir}/xbmsize48
%{_bindir}/addxface
%{_bindir}/mailq.faces
%{_bindir}/from.faces
%{_bindir}/lpqall.faces
%{_bindir}/rotary.faces
%{_bindir}/facesaddr
%{_bindir}/facesall
%{_bindir}/mkfacesindex
%{_bindir}/newscheck.faces
%{_bindir}/newsfrom.faces
%{_bindir}/faces
%{_bindir}/face_update
%{_bindir}/faces.sendmail
%{_mandir}/man1/faces.1.*
%{_mandir}/man1/face_update.1.*
%{_datadir}/faces

%files xface
%defattr(-,root,root)
%{_bindir}/uncompface
%{_mandir}/man1/uncompface.1.*
%{_mandir}/man3/uncompface.3.*
%{_bindir}/ikon2xbm

%files devel
%defattr(-,root,root)
%{_includedir}/compface.h
%{_libdir}/libcompface.a



%changelog
* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.1-25mdv2008.1
+ Revision: 149711
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild


* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1.6.1-23mdk
- rebuild for sparc

* Mon Oct 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.6.1-22mdk
- don't use text as a function (aka dotsyms fix for ppc64)

* Mon Jun 14 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.1-21mdk
- fix gcc-3.4 build (P10)
- use %%make macro
- cosmetics

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 1.6.1-20mdk
- Remove menu entry

* Mon Sep 01 2003 Nicolas Planel <nplanel@mandrakesoft.com> 1.6.1-19mdk
- fix /usr/bin/faces right access 0755.

* Tue Jul 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-18mdk
- small build patch for current gcc

